package com.pqs9900.pojo.DataInfo;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/** @Author denghuajun
 * @Description //TODO 终端流量表
 * @Date  2019/3/15 10:38
 **/
@Table(name = "PQS_FLOW")
public class Flow {
    @Column(name = "Dev_Index")
    private int decIndex;//（关联表pq_device）装置序号
    @Column(name = "TimeID")
    private Date timeId;//时间
    @Column(name = "ACTUALFLOW")
    private int actualflow;//实际流量
    @Column(name = "STATFLOW")
    private int statflow;//统计流量

    public int getDecIndex() {
        return decIndex;
    }

    public void setDecIndex(int decIndex) {
        this.decIndex = decIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public int getActualflow() {
        return actualflow;
    }

    public void setActualflow(int actualflow) {
        this.actualflow = actualflow;
    }

    public int getStatflow() {
        return statflow;
    }

    public void setStatflow(int statflow) {
        this.statflow = statflow;
    }

    @Override
    public String toString() {
        return "Flow{" +
                "decIndex=" + decIndex +
                ", timeId=" + timeId +
                ", actualflow=" + actualflow +
                ", statflow=" + statflow +
                '}';
    }
}
